package it.mokabyte.cache.exception;

/**
 *  ecczione generata dal componente nel caso l'oggetto non sia torvato
 *
 *@author     luca dozio
 *@created    26 maggio 2003
 */
public class NotFoundObjectException extends Exception {

    /**
     *  Constructor for NotFoundObject.
     *
     *@param  msg   messaggio per l'eccezione
     */
    public NotFoundObjectException(String msg) {
        super(msg);
    }


    /**
     *  Constructor for NotFoundObject.
     *
     *@param  msg   messaggio per l'eccezione
     *@param  e     eccezione nativa
     */
    public NotFoundObjectException(String msg, Exception e) {
        super(msg+": " + e.getMessage());

    }


    /**
     *  Constructor for NotFoundObject.
     *
     *@param  e    eccezione  nativa
     */
    public NotFoundObjectException(Exception e) {
        super(e);
    }

}
